## net.sf.statcvs.charts
Class ModuleEvolutionChartMaker

    java.lang.Object
      net.sf.statcvs.charts.ModuleEvolutionChartMaker

    public class ModuleEvolutionChartMaker

extends Object

Class for producing directory pie charts

Version:
  $Id: ModuleEvolutionChartMaker.java,v 1.2 2010/01/01 10:03:43 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

Constructor Summary
`ModuleEvolutionChartMaker(String chartName, ReportConfig config, String title, String fileName)` Creates a new PieChartMaker

Method Summary
`ChartImage` `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleEvolutionChartMaker

    public ModuleEvolutionChartMaker(String chartName,
                                     ReportConfig config,
                                     String title,
                                     String fileName)

  Creates a new PieChartMaker

  Parameters:
    `config` - The report configuration to use
    `directories` - The set of directories to consider
    `title` - The chart title
    `fileName` - The file name for chart

Method Detail

### toFile

    public ChartImage toFile()